from django.contrib.auth.models import User
from django.db import models
from django.utils.translation import gettext_lazy as _

__all__ = ("UserSettings",)


class UserSettings(models.Model):
    """Store user's settings."""

    user = models.OneToOneField(
        User,
        models.CASCADE,
        verbose_name=_("User"),
        related_name="aircox_settings",
    )
    playlist_editor_columns = models.JSONField(_("Playlist Editor Columns"))
    playlist_editor_sep = models.CharField(_("Playlist Editor Separator"), max_length=16)
